Bug 1051205 - [GSS] (6.2.x) NPE when replicating CDI bean on EAP 6 cluster
Summary: [GSS] (6.2.x) NPE when replicating CDI bean on EAP 6 cluster
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: CDI/Weld
Version: 6.1.0
Hardware: All
OS: All
unspecified
high
Target Milestone: CR1
: EAP 6.2.1
Assignee: Brad Maxwell
QA Contact: Ron Šmeral
Russell Dickenson
URL:
Whiteboard:
Depends On: 1029099
Blocks: eap62-cp01-blockers 1040671
TreeView+ depends on / blocked
 
Reported: 2014-01-09 20:42 UTC by Brad Maxwell
Modified: 2018-12-04 16:54 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The session ID created in clustered instances of earlier JBoss EAP versions contained a full source in a deployed bean's metadata (used to create a session ID). This was causing beans deployed across different nodes in the cluster to be recreated if a session ID was reused when accessing a different node. A NullPointerException could also been seen in the later node's log. New code has been introduced that obtains a relative path, rather than an absolute path. Beans are no longer recreated and the NPE no longer presents.
Clone Of: 1029099
Environment:
Last Closed: 2014-02-24 20:13:58 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-2513 Major Resolved BDA ID contains absolute the path of the deployment location 2015-08-13 17:03:36 UTC

Comment 3 Scott Mumford 2014-01-17 04:15:26 UTC
Added draft release note text to Docs Text field. Setting requires_doc_text flag to '?' pending review.


Note You need to log in before you can comment on or make changes to this bug.